!******************** start file bmzvol.for ; group bmzvol ******************
subroutine bmzvol(ierr)
  !
  !  dmc 2 dec 2001 -- rewritten: use xplasma mc grid facility.
  !  just fetch the zone volumes.
  !
  !  note: zone volumes only cover zones *inside* the plasma.
  !
  use nbi_com
  !
  !-------------------------------------------
  !
  implicit none
  integer :: ierr
  !
  !-------------------------------------------
  !
  bmvol=0.0_fp
  !
  call mcgrid_getobj(id_mcgrid,'ZONE_VOLUME',-1,-1, &
       1.0e6_fp,bmvol,nfbznsi,ierr)
  !
  if(ierr.ne.0) write(nonlin,*) ' ?error in bmzvol!'
  !
  return
  !
end subroutine bmzvol
!******************** end file bmzvol.for ; group bmzvol ******************
